> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Workflows



## OpenAPI

````yaml get /v3/workflows
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/workflows:
    get:
      tags:
        - Workflows
      summary: List all Workflows
      operationId: v3_list_workflows
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                - uid: wxyz-xxxx-xxxx-xxxxx-xxxxxx
                  name: Workflow Name
                  created_at: '2024-03-16T11:39:51.583695'
                  steps:
                    - name: Step's Name
                      uid: 12345-xxxx-xxxx-xxxx-xxxxxxx
                      step_uid: 12345-xxxx-xxxx-xxxx-xxxxxxxx
                  template_uid: abcd-xxxx-xxxx-xxxx-xxxxxxxx
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````